com.hazelcast.config

## Class WanReplicationRefReadOnly

- java.lang.Object
- - com.hazelcast.config.WanReplicationRef
  - - com.hazelcast.config.WanReplicationRefReadOnly

- All Implemented Interfaces:
    DataSerializable, Serializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class WanReplicationRefReadOnly
      extends WanReplicationRef

  Configuration for Wan target replication reference(read only)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WanReplicationRefReadOnly(WanReplicationRef ref)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `WanReplicationRef` | `addFilter(String filter)` Deprecated. Add class name implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events.
    `WanReplicationRef` | `setFilters(List<String> filters)` Deprecated. Set the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events.
    `WanReplicationRef` | `setMergePolicy(String mergePolicy)` Deprecated.
    `WanReplicationRef` | `setName(String name)` Deprecated.
    `WanReplicationRef` | `setRepublishingEnabled(boolean republishingEnabled)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.WanReplicationRef

      `equals, getAsReadOnly, getFilters, getMergePolicy, getName, hashCode, isRepublishingEnabled, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WanReplicationRefReadOnly

          public WanReplicationRefReadOnly(WanReplicationRef ref)

      Deprecated.

  - ### Method Detail

    - #### setName

          public WanReplicationRef setName(String name)

      Deprecated.
      Overrides:
        `setName` in class `WanReplicationRef`

    - #### setMergePolicy

          public WanReplicationRef setMergePolicy(String mergePolicy)

      Deprecated.
      Overrides:
        `setMergePolicy` in class `WanReplicationRef`

    - #### setFilters

          public WanReplicationRef setFilters(List<String> filters)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Set the list of class names implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events. NOTE: EE only
      Overrides:
        `setFilters` in class `WanReplicationRef`
      Parameters:
        `filters` - the list of class names implementing CacheWanEventFilter or MapWanEventFilter
      Returns:
        this configuration

    - #### addFilter

          public WanReplicationRef addFilter(String filter)

      Deprecated.
      Description copied from class: `WanReplicationRef`
      Add class name implementing the CacheWanEventFilter or MapWanEventFilter for filtering WAN replication events. NOTE: EE only
      Overrides:
        `addFilter` in class `WanReplicationRef`
      Parameters:
        `filter` - the class name
      Returns:
        this configuration

    - #### setRepublishingEnabled

          public WanReplicationRef setRepublishingEnabled(boolean republishingEnabled)

      Deprecated.
      Overrides:
        `setRepublishingEnabled` in class `WanReplicationRef`

Copyright © 2018. All rights reserved.